/*
	Arduino library for Trustability pressure sensors
	Currently just supporting SPI sensors.
	AdAstra Team - May 2019
*/

#ifndef HPS_h
#define HPS_h

#include "Arduino.h"

class HPS {
public:
	HPS(int pin);
	float readPressure();
	float readTemperature();
	int getStatus();
private:
	int _pin;
	float pressuretransfer(uint16_t);
	float temperaturetransfer(uint16_t);
};

#endif
